Page MenuHomePhabricator

Flickr upload broken (with various error messages)
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/Special:UploadWizard

Flickr upload broken, in all browsers. Confirmed by other users on irc.

[No error output]

--Steinsplitter

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a project: UploadWizard.
Steinsplitter added subscribers: Steinsplitter, Yann.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 6 2015, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yann added a comment.Jun 6 2015, 5:46 PM

Above is with Chrome.

With FF, I get
https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=monobook&version=OXPfO5Io line 4 > eval at line 449: TypeError: this.deedChooser is undefined

for the same file on Flickr

First error occured for me is T100540: "Get from Flickr" does nothing.
Second error is:

GET https://commons.wikimedia.org/wiki/Special:UploadStash/thumb/137lbxxbgsew.se2as9.1085353.jpg/100px-137lbxxbgsew.se2as9.1085353.jpg 503 (Service Unavailable) 100px-137lbxxbgsew.se2as9.1085353.jpg:1

Third error is:

Uncaught TypeError: Cannot read property 'valid' of undefined VM359:446
DP.moveFrom @ VM359:446
DP.moveTo @ VM359:447
SP.moveFrom @ VM359:443
(anonymous function) @ VM359:442
oo.EventEmitter.emit @ VM359:14
(anonymous function) @ VM359:460
oo.EventEmitter.emit @ VM359:14
OO.ui.ButtonElement.onClick @ VM359:272
jQuery.event.dispatch @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=OXPfO5Io:65
jQuery.event.add.elemData.handle @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=OXPfO5Io:60

On another file I tested I also got I also got "[UploadWizardExceptionFlowEvent] Url exceeds maximum length", but I did not save the logs...

Yann added a comment.Jun 6 2015, 6:00 PM

With IE, I get "Error: Impossible d’obtenir la propriété « call » d’une référence null ou non définie"

revi added a subscriber: revi.Jun 7 2015, 2:11 AM

i hate to ask... but anything new? This tool is needed.

i hate to ask... but anything new? This tool is needed.

Unlikely within 24 hours on a weekend (no matter whether volunteer or paid)...?

Aklapper renamed this task from Flickr upload broken to Flickr upload broken (with various error messages).Jun 8 2015, 8:58 AM
Aklapper set Security to None.
Aklapper added a subscriber: MarkTraceur.

i hate to ask... but anything new? This tool is needed.

Unlikely within 24 hours on a weekend (no matter whether volunteer or paid)...?

WMF schold have always staff around for serious issues...

Change 216718 had a related patch set uploaded (by MarkTraceur):
Fix conditional deed step skipping for Flickr

https://gerrit.wikimedia.org/r/216718

Change 216718 merged by jenkins-bot:
Fix conditional deed step skipping for Flickr

https://gerrit.wikimedia.org/r/216718

Rillke added a subscriber: Rillke.Jun 8 2015, 3:49 PM

i hate to ask... but anything new?

According to https://gerrit.wikimedia.org/r/#/projects/mediawiki/extensions/UploadWizard,dashboards/default:recent there is nothing that looks like a fix to the JS error messages in the JS console but since @MarkTraceur just added OOJS-UI buttons to UpWiz and indicated there is some other fix (apart from T100540), he might know better than I do. There is T90599 for the UploadStash errors.

Change 216720 had a related patch set uploaded (by MarkTraceur):
Fix conditional deed step skipping for Flickr

https://gerrit.wikimedia.org/r/216720

Change 216720 merged by jenkins-bot:
Fix conditional deed step skipping for Flickr

https://gerrit.wikimedia.org/r/216720